Download it now!
Bug 100481 - Hiding Page Breaks Hides Footnotes
Summary: Hiding Page Breaks Hides Footnotes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote Writer-Page-Break
  Show dependency treegraph
 
Reported: 2016-06-19 15:43 UTC by Joel Madero
Modified: 2018-06-15 02:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Page Break Visible (28.35 KB, application/vnd.oasis.opendocument.text)
2016-06-19 15:43 UTC, Joel Madero
Details
Page Break Hidden (30.86 KB, application/vnd.oasis.opendocument.text)
2016-06-19 15:44 UTC, Joel Madero
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2016-06-19 15:43:39 UTC
Created attachment 125734 [details]
Page Break Visible

I'm just assuming that this was inherited.

Bodhi Moksha (Linux)
Version: 5.3.0.0.alpha0+
Build ID: d534e939d4b9c8ac09cd1e7e28e5ad43d1ee56ec
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)

1. Open writer;
2. Insert footnote and write some text;
3) Get the document to two pages (hold enter for awhile);
4) Double click on the section between the pages to hide the page break

Observed: The footnote is hidden
Expected: The footnote is not hidden

Further note: The real problem is that the text shifts when you do this and it can show that you have more space then you actually do.

Attaching the same document with and without hidden page break. Go to the end and see that with the page break hidden it shows that there are a few more lines to write on, with it shown, it's at the end of the page.
Comment 1 Joel Madero 2016-06-19 15:44:04 UTC
Created attachment 125735 [details]
Page Break Hidden
Comment 2 Joel Madero 2016-06-19 15:46:01 UTC
Apparently page break hiding isn't retained during save (separate bug). 

To See Problem:
1. open page break visible
2. Scroll to bottom

Observed: No additional lines on page 6

3. Scroll up between page 5 and 6
4. Double click to hide page breaks
5. Scroll down


Observed: There now appears to be a few extra lines to write but that is incorrect.
Comment 3 manuel.defranceschi 2016-06-20 08:08:14 UTC
Reproduce with:

Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2;
UI Render: default; 
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)

Version: 5.3.0.0.alpha0+
Build ID: e1c435ba88c8ec14145b59398a8a46056f277d4c
CPU Threads: 2;
UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-06-19_23:57:40
Locale: it-IT (it_IT.UTF-8)
OS: openSUSE Leap 42.1 (x86_64)
Comment 4 Cor Nouws 2016-07-04 12:54:17 UTC
Hi Joel,

(In reply to Joel Madero from comment #0)

> I'm just assuming that this was inherited.

> 4) Double click on the section between the pages to hide the page break

Hiding the space between pages (menu View) is new in 5.2.0.
Comment 5 QA Administrators 2018-06-15 02:45:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug